

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>This notebook demonstarates the radiation algorithm on the camels data: &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="../../_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script async="async" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
        <script type="text/x-mathjax-config">MathJax.Hub.Config({"tex2jax": {"inlineMath": [["$", "$"], ["\\(", "\\)"]], "processEscapes": true, "ignoreClass": "document", "processClass": "math|output_area"}})</script>
        <script src="../../_static/js/bootstrap.min.js"></script>
        <script src="../../_static/js/bootstrap.bundle.min.js"></script>
        <script src="../../_static/js/custom.js"></script>
    
    <script type="text/javascript" src="../../_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Hydrology" href="../../content/hydrology/api.html" />
    <link rel="prev" title="Sensitivity analysis of radiation routine" href="radiation-sensitivity-analysis.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../../content/hydrology/getting_started.html">Getting started</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../../content/hydrology/getting_started.html#general-examples">General examples</a></li>
<li class="toctree-l2"><a class="reference internal" href="../../content/hydrology/getting_started.html#configured-simulation">Configured simulation</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../../content/hydrology/getting_started.html#advanced-tools">Advanced tools</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/gridpp_geopoints.html">Demonstration of SHyFT API implementation of Kalman Filtering on gridded data</a></li>
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/kalman_updating.html">This notebook sets up a Kalman filter and demonstrates how choice of parameters impact the updating</a></li>
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/kalman_updating.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a></li>
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/kalman_updating.html#2.-Create-Kalman-filter">2. Create Kalman filter</a></li>
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/kalman_updating.html#3.-Creates-start-states">3. Creates start states</a></li>
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/kalman_updating.html#4.-Update-filter">4. Update filter</a></li>
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/kalman_updating.html#5.-Plot-results">5. Plot results</a></li>
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/kalman_updating.html#6.-Test-to-see-how-choice-of-parameters-impact-filter">6. Test to see how choice of parameters impact filter</a></li>
<li class="toctree-l3"><a class="reference internal" href="../grid-pp/ordinary_kriging_precipitation.html">Grid post-processing of Met.no data using SHyFT API</a></li>
<li class="toctree-l3"><a class="reference internal" href="../penman-monteith/penman-monteith-verification-single-method.html">Penman-Monteith Single Method Verification</a></li>
<li class="toctree-l3"><a class="reference internal" href="../penman-monteith/penman-monteith-sensitivity.html">Penman-Monteith Sensitivity</a></li>
<li class="toctree-l3"><a class="reference internal" href="polar_region_radiaiton.html">Checking calculation of Radiation at Polar Region</a></li>
<li class="toctree-l3"><a class="reference internal" href="radiation-sensitivity-analysis.html">Sensitivity analysis of radiation routine</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">This notebook demonstarates the radiation algorithm on the camels data:</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#Importing-all-necessary-classes">Importing all necessary classes</a></li>
<li class="toctree-l4"><a class="reference internal" href="#Here-we-can-see-how-the-eq.38-actually-reacts-on-topography-and-other-input-changes.">Here we can see how the eq.38 actually reacts on topography and other input changes.</a></li>
<li class="toctree-l4"><a class="reference internal" href="#The-rest-shows-very-minor-impact-on-the-translated-radiation,">The rest shows very minor impact on the translated radiation,</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../content/hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../content/dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../../content/hydrology/getting_started.html">Getting started</a> &raquo;</li>
        
      <li>This notebook demonstarates the radiation algorithm on the camels data:</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/notebooks/radiation/radiation_camelsdata.ipynb.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  
<style>
/* CSS for nbsphinx extension */

/* remove conflicting styling from Sphinx themes */
div.nbinput.container div.prompt *,
div.nboutput.container div.prompt *,
div.nbinput.container div.input_area pre,
div.nboutput.container div.output_area pre,
div.nbinput.container div.input_area .highlight,
div.nboutput.container div.output_area .highlight {
    border: none;
    padding: 0;
    margin: 0;
    box-shadow: none;
}

div.nbinput.container > div[class*=highlight],
div.nboutput.container > div[class*=highlight] {
    margin: 0;
}

div.nbinput.container div.prompt *,
div.nboutput.container div.prompt * {
    background: none;
}

div.nboutput.container div.output_area .highlight,
div.nboutput.container div.output_area pre {
    background: unset;
}

div.nboutput.container div.output_area div.highlight {
    color: unset;  /* override Pygments text color */
}

/* avoid gaps between output lines */
div.nboutput.container div[class*=highlight] pre {
    line-height: normal;
}

/* input/output containers */
div.nbinput.container,
div.nboutput.container {
    display: -webkit-flex;
    display: flex;
    align-items: flex-start;
    margin: 0;
    width: 100%;
}
@media (max-width: 540px) {
    div.nbinput.container,
    div.nboutput.container {
        flex-direction: column;
    }
}

/* input container */
div.nbinput.container {
    padding-top: 5px;
}

/* last container */
div.nblast.container {
    padding-bottom: 5px;
}

/* input prompt */
div.nbinput.container div.prompt pre {
    color: #307FC1;
}

/* output prompt */
div.nboutput.container div.prompt pre {
    color: #BF5B3D;
}

/* all prompts */
div.nbinput.container div.prompt,
div.nboutput.container div.prompt {
    width: 4.5ex;
    padding-top: 5px;
    position: relative;
    user-select: none;
}

div.nbinput.container div.prompt > div,
div.nboutput.container div.prompt > div {
    position: absolute;
    right: 0;
    margin-right: 0.3ex;
}

@media (max-width: 540px) {
    div.nbinput.container div.prompt,
    div.nboutput.container div.prompt {
        width: unset;
        text-align: left;
        padding: 0.4em;
    }
    div.nboutput.container div.prompt.empty {
        padding: 0;
    }

    div.nbinput.container div.prompt > div,
    div.nboutput.container div.prompt > div {
        position: unset;
    }
}

/* disable scrollbars on prompts */
div.nbinput.container div.prompt pre,
div.nboutput.container div.prompt pre {
    overflow: hidden;
}

/* input/output area */
div.nbinput.container div.input_area,
div.nboutput.container div.output_area {
    -webkit-flex: 1;
    flex: 1;
    overflow: auto;
}
@media (max-width: 540px) {
    div.nbinput.container div.input_area,
    div.nboutput.container div.output_area {
        width: 100%;
    }
}

/* input area */
div.nbinput.container div.input_area {
    border: 1px solid #e0e0e0;
    border-radius: 2px;
    /*background: #f5f5f5;*/
}

/* override MathJax center alignment in output cells */
div.nboutput.container div[class*=MathJax] {
    text-align: left !important;
}

/* override sphinx.ext.imgmath center alignment in output cells */
div.nboutput.container div.math p {
    text-align: left;
}

/* standard error */
div.nboutput.container div.output_area.stderr {
    background: #fdd;
}

/* ANSI colors */
.ansi-black-fg { color: #3E424D; }
.ansi-black-bg { background-color: #3E424D; }
.ansi-black-intense-fg { color: #282C36; }
.ansi-black-intense-bg { background-color: #282C36; }
.ansi-red-fg { color: #E75C58; }
.ansi-red-bg { background-color: #E75C58; }
.ansi-red-intense-fg { color: #B22B31; }
.ansi-red-intense-bg { background-color: #B22B31; }
.ansi-green-fg { color: #00A250; }
.ansi-green-bg { background-color: #00A250; }
.ansi-green-intense-fg { color: #007427; }
.ansi-green-intense-bg { background-color: #007427; }
.ansi-yellow-fg { color: #DDB62B; }
.ansi-yellow-bg { background-color: #DDB62B; }
.ansi-yellow-intense-fg { color: #B27D12; }
.ansi-yellow-intense-bg { background-color: #B27D12; }
.ansi-blue-fg { color: #208FFB; }
.ansi-blue-bg { background-color: #208FFB; }
.ansi-blue-intense-fg { color: #0065CA; }
.ansi-blue-intense-bg { background-color: #0065CA; }
.ansi-magenta-fg { color: #D160C4; }
.ansi-magenta-bg { background-color: #D160C4; }
.ansi-magenta-intense-fg { color: #A03196; }
.ansi-magenta-intense-bg { background-color: #A03196; }
.ansi-cyan-fg { color: #60C6C8; }
.ansi-cyan-bg { background-color: #60C6C8; }
.ansi-cyan-intense-fg { color: #258F8F; }
.ansi-cyan-intense-bg { background-color: #258F8F; }
.ansi-white-fg { color: #C5C1B4; }
.ansi-white-bg { background-color: #C5C1B4; }
.ansi-white-intense-fg { color: #A1A6B2; }
.ansi-white-intense-bg { background-color: #A1A6B2; }

.ansi-default-inverse-fg { color: #FFFFFF; }
.ansi-default-inverse-bg { background-color: #000000; }

.ansi-bold { font-weight: bold; }
.ansi-underline { text-decoration: underline; }


div.nbinput.container div.input_area div[class*=highlight] > pre,
div.nboutput.container div.output_area div[class*=highlight] > pre,
div.nboutput.container div.output_area div[class*=highlight].math,
div.nboutput.container div.output_area.rendered_html,
div.nboutput.container div.output_area > div.output_javascript,
div.nboutput.container div.output_area:not(.rendered_html) > img{
    padding: 5px;
    margin: 0;
}

/* fix copybtn overflow problem in chromium (needed for 'sphinx_copybutton') */
div.nbinput.container div.input_area > div[class^='highlight'],
div.nboutput.container div.output_area > div[class^='highlight']{
    overflow-y: hidden;
}

/* hide copybtn icon on prompts (needed for 'sphinx_copybutton') */
.prompt a.copybtn {
    display: none;
}

/* Some additional styling taken form the Jupyter notebook CSS */
div.rendered_html table {
  border: none;
  border-collapse: collapse;
  border-spacing: 0;
  color: black;
  font-size: 12px;
  table-layout: fixed;
}
div.rendered_html thead {
  border-bottom: 1px solid black;
  vertical-align: bottom;
}
div.rendered_html tr,
div.rendered_html th,
div.rendered_html td {
  text-align: right;
  vertical-align: middle;
  padding: 0.5em 0.5em;
  line-height: normal;
  white-space: normal;
  max-width: none;
  border: none;
}
div.rendered_html th {
  font-weight: bold;
}
div.rendered_html tbody tr:nth-child(odd) {
  background: #f5f5f5;
}
div.rendered_html tbody tr:hover {
  background: rgba(66, 165, 245, 0.2);
}

/* CSS overrides for sphinx_rtd_theme */

/* 24px margin */
.nbinput.nblast.container,
.nboutput.nblast.container {
    margin-bottom: 19px;  /* padding has already 5px */
}

/* ... except between code cells! */
.nblast.container + .nbinput.container {
    margin-top: -19px;
}

.admonition > p:before {
    margin-right: 4px;  /* make room for the exclamation icon */
}

/* Fix math alignment, see https://github.com/rtfd/sphinx_rtd_theme/pull/686 */
.math {
    text-align: unset;
}
</style>
<div class="section" id="This-notebook-demonstarates-the-radiation-algorithm-on-the-camels-data:">
<h1>This notebook demonstarates the radiation algorithm on the camels data:<a class="headerlink" href="#This-notebook-demonstarates-the-radiation-algorithm-on-the-camels-data:" title="Permalink to this headline">¶</a></h1>
<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[64]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="c1">## The main goal is to demonstrate sensitivity of eq.38 from</span>
<span class="c1">## ref.: Allen R.G., Trezza R., Tasumi, Masahiro. Analytical integrated functions for daily solar radiation on slopes.</span>
<span class="c1">## // Agricultural and Forest Meteorology 139 (2006) 55–73</span>
</pre></div>
</div>
</div>
<div class="section" id="Importing-all-necessary-classes">
<h2>Importing all necessary classes<a class="headerlink" href="#Importing-all-necessary-classes" title="Permalink to this headline">¶</a></h2>
<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[65]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="kn">from</span> <span class="nn">matplotlib</span> <span class="kn">import</span> <span class="n">pyplot</span> <span class="k">as</span> <span class="n">plt</span>
<span class="kn">from</span> <span class="nn">datetime</span> <span class="kn">import</span> <span class="n">datetime</span>
<span class="kn">from</span> <span class="nn">shyft</span> <span class="kn">import</span> <span class="n">api</span>
<span class="kn">from</span> <span class="nn">shyft.time_series</span> <span class="kn">import</span> <span class="p">(</span><span class="n">Calendar</span><span class="p">,</span><span class="n">deltahours</span><span class="p">,</span><span class="n">UtcPeriod</span><span class="p">,</span><span class="n">TimeSeries</span><span class="p">,</span><span class="n">TimeAxis</span><span class="p">,</span><span class="n">DoubleVector</span><span class="p">,</span><span class="n">point_interpretation_policy</span><span class="p">)</span>
<span class="kn">import</span> <span class="nn">seaborn</span> <span class="k">as</span> <span class="nn">sns</span>
<span class="kn">import</span> <span class="nn">numpy</span> <span class="k">as</span> <span class="nn">np</span>
</pre></div>
</div>
</div>
# Importing camels data
# (The data is prepared by Felix Matt for shyft-intorduction-course at Master's level at UiO Geohyd)<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[66]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="kn">from</span> <span class="nn">camels_reader</span> <span class="kn">import</span> <span class="n">TestData</span>
</pre></div>
</div>
</div>
<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[67]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="n">data</span> <span class="o">=</span> <span class="n">TestData</span><span class="p">()</span>
<span class="n">time_vec</span> <span class="o">=</span> <span class="n">api</span><span class="o">.</span><span class="n">UtcTimeVector</span><span class="p">(</span><span class="n">data</span><span class="o">.</span><span class="n">time</span><span class="p">)</span>
<span class="n">time_end</span> <span class="o">=</span> <span class="n">time_vec</span><span class="p">[</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span> <span class="o">+</span> <span class="mi">60</span><span class="o">*</span><span class="mi">60</span><span class="o">*</span><span class="mi">24</span>
<span class="n">ta</span> <span class="o">=</span> <span class="n">api</span><span class="o">.</span><span class="n">TimeAxisByPoints</span><span class="p">(</span><span class="n">time_vec</span><span class="p">,</span> <span class="n">t_end</span><span class="o">=</span><span class="n">time_end</span><span class="p">)</span>
<span class="n">station_info</span><span class="p">,</span> <span class="n">df</span> <span class="o">=</span> <span class="n">data</span><span class="o">.</span><span class="n">_get_met_data_from_camels_database</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[68]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="c1"># Radiaiton runner helps to run and plot radiaiton routine results</span>
<span class="kn">from</span> <span class="nn">radiation_runner</span> <span class="kn">import</span> <span class="n">RadiationRunner</span>
<span class="n">runner</span> <span class="o">=</span> <span class="n">RadiationRunner</span><span class="p">()</span>
<span class="k">def</span> <span class="nf">plot_results</span><span class="p">(</span><span class="n">xvar</span><span class="p">,</span> <span class="n">yvar</span><span class="p">,</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="n">lab</span><span class="p">,</span> <span class="n">col</span><span class="p">,</span> <span class="n">labloc</span><span class="p">,</span> <span class="n">ymin</span><span class="o">=</span><span class="mf">0.0</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot; Plots things&quot;&quot;&quot;</span>
    <span class="n">ax1</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">xvar</span><span class="p">,</span> <span class="n">yvar</span><span class="p">,</span> <span class="n">col</span><span class="p">,</span> <span class="n">label</span><span class="o">=</span><span class="n">lab</span><span class="p">)</span>
    <span class="n">ax1</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="n">yname</span><span class="p">)</span>
    <span class="n">ax1</span><span class="o">.</span><span class="n">set_xlabel</span><span class="p">(</span><span class="n">xname</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="n">plotname</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">(</span><span class="n">loc</span><span class="o">=</span><span class="n">labloc</span><span class="p">,</span> <span class="n">bbox_to_anchor</span><span class="o">=</span><span class="p">(</span><span class="mi">1</span><span class="p">,</span><span class="mf">0.5</span><span class="p">))</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">([</span><span class="mi">0</span><span class="p">,</span> <span class="mi">365</span><span class="p">,</span> <span class="n">ymin</span><span class="p">,</span> <span class="nb">int</span><span class="p">(</span><span class="n">ymax</span> <span class="o">*</span> <span class="mf">1.01</span><span class="p">)])</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">grid</span><span class="p">(</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[69]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="c1"># This is result of calculation from pure camels data, assuming that radiation is measured on horizontal surface</span>
<span class="c1">#</span>
<span class="n">latitude_deg</span> <span class="o">=</span> <span class="n">station_info</span><span class="p">[</span><span class="s1">&#39;lat&#39;</span><span class="p">]</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">elevation</span><span class="o">=</span> <span class="n">station_info</span><span class="p">[</span><span class="s1">&#39;z&#39;</span><span class="p">]</span>
<span class="n">albedo</span> <span class="o">=</span> <span class="mf">0.5</span>
<span class="n">turbidity</span> <span class="o">=</span> <span class="mf">0.5</span>
<span class="n">ymax</span> <span class="o">=</span> <span class="mi">850</span>
<span class="n">yname</span> <span class="o">=</span> <span class="s1">&#39;Rso, [W/m^2]&#39;</span>
<span class="n">xname</span> <span class="o">=</span> <span class="s1">&#39;DOY&#39;</span>
<span class="n">plotname</span> <span class="o">=</span> <span class="s2">&quot;Camels data 06191500 from shyft-intro-course&quot;</span>
<span class="n">labels</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;Ra&#39;</span><span class="p">,</span><span class="s1">&#39;Rso&#39;</span><span class="p">)</span>
<span class="n">colors</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;r--&#39;</span><span class="p">,</span><span class="s1">&#39;r&#39;</span><span class="p">,</span> <span class="s1">&#39;b--&#39;</span><span class="p">,</span><span class="s1">&#39;b&#39;</span><span class="p">,</span><span class="s1">&#39;g--&#39;</span><span class="p">,</span><span class="s1">&#39;g&#39;</span><span class="p">,</span><span class="s1">&#39;k--&#39;</span><span class="p">,</span><span class="s1">&#39;k&#39;</span><span class="p">,</span><span class="s1">&#39;m--&#39;</span><span class="p">,</span><span class="s1">&#39;m&#39;</span><span class="p">)</span>
<span class="n">labloc</span> <span class="o">=</span> <span class="p">(</span><span class="s2">&quot;upper left&quot;</span><span class="p">,</span><span class="s2">&quot;lower center&quot;</span><span class="p">,</span> <span class="s2">&quot;upper center&quot;</span><span class="p">,</span><span class="s2">&quot;center left&quot;</span><span class="p">)</span>

<span class="n">sns</span><span class="o">.</span><span class="n">set</span><span class="p">(</span><span class="n">font_scale</span><span class="o">=</span><span class="mf">1.8</span><span class="p">)</span>
<span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">10</span><span class="p">,</span> <span class="mi">7</span><span class="p">))</span>

<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">ax1</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">,</span> <span class="n">label</span><span class="o">=</span><span class="s1">&#39;from-source&#39;</span><span class="p">)</span>
<span class="n">plot_results</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="s1">&#39;from-model-predicted-clear-sky&#39;</span><span class="p">,</span> <span class="n">colors</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">1</span><span class="p">])</span>
<span class="n">plot_results</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="s1">&#39;from-model-translated&#39;</span><span class="p">,</span> <span class="n">colors</span><span class="p">[</span><span class="mi">4</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">1</span><span class="p">])</span>
</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<img alt="../../_images/notebooks_radiation_radiation_camelsdata_8_0.png" src="../../_images/notebooks_radiation_radiation_camelsdata_8_0.png" />
</div>
</div>
</div>
<div class="section" id="Here-we-can-see-how-the-eq.38-actually-reacts-on-topography-and-other-input-changes.">
<h2>Here we can see how the eq.38 actually reacts on topography and other input changes.<a class="headerlink" href="#Here-we-can-see-how-the-eq.38-actually-reacts-on-topography-and-other-input-changes." title="Permalink to this headline">¶</a></h2>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[70]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="c1">#### The other notebook (radiation_sensitivity) shows only clear-sky radiation behavior</span>
<span class="c1"># Now lets play around with aspect, slope, albedo, turbidity</span>
<span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">7</span><span class="p">,</span> <span class="mi">5</span><span class="p">))</span>
<span class="n">slope_array</span> <span class="o">=</span> <span class="p">[</span><span class="mf">0.0</span><span class="p">,</span> <span class="mf">30.0</span><span class="p">,</span> <span class="mf">45.0</span><span class="p">,</span> <span class="mf">60.0</span><span class="p">,</span> <span class="mf">75.0</span><span class="p">,</span> <span class="mf">90.0</span><span class="p">,</span> <span class="mi">110</span><span class="p">,</span> <span class="mi">180</span><span class="p">,</span> <span class="mi">190</span><span class="p">]</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">plotname</span> <span class="o">=</span> <span class="s2">&quot;Camels data 06191500 slope variation&quot;</span>
<span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
<span class="k">for</span> <span class="n">slope_deg</span> <span class="ow">in</span> <span class="n">slope_array</span><span class="p">:</span>
    <span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
    <span class="n">plot_results</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="nb">str</span><span class="p">(</span><span class="n">slope_deg</span><span class="p">),</span> <span class="n">colors</span><span class="p">[</span><span class="n">i</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">3</span><span class="p">])</span>
    <span class="n">i</span><span class="o">+=</span><span class="mi">1</span>
</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<img alt="../../_images/notebooks_radiation_radiation_camelsdata_10_0.png" src="../../_images/notebooks_radiation_radiation_camelsdata_10_0.png" />
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[71]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">7</span><span class="p">,</span> <span class="mi">5</span><span class="p">))</span>
<span class="n">aspect_array</span> <span class="o">=</span> <span class="p">[</span><span class="mf">0.0</span><span class="p">,</span> <span class="mf">30.0</span><span class="p">,</span> <span class="mf">45.0</span><span class="p">,</span> <span class="mf">60.0</span><span class="p">,</span> <span class="mf">75.0</span><span class="p">,</span> <span class="mf">90.0</span><span class="p">,</span> <span class="mi">110</span><span class="p">,</span> <span class="mi">180</span><span class="p">,</span> <span class="mi">190</span><span class="p">]</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">30.0</span> <span class="c1"># if slope is 0 no aspect impact could be seen</span>
<span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
<span class="n">plotname</span> <span class="o">=</span> <span class="s2">&quot;Camels data 06191500 aspect variation&quot;</span>
<span class="k">for</span> <span class="n">aspect_deg</span> <span class="ow">in</span> <span class="n">aspect_array</span><span class="p">:</span>
    <span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
    <span class="n">plot_results</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="nb">str</span><span class="p">(</span><span class="n">aspect_deg</span><span class="p">),</span> <span class="n">colors</span><span class="p">[</span><span class="n">i</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">3</span><span class="p">])</span>
    <span class="n">i</span><span class="o">+=</span><span class="mi">1</span>
</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<img alt="../../_images/notebooks_radiation_radiation_camelsdata_11_0.png" src="../../_images/notebooks_radiation_radiation_camelsdata_11_0.png" />
</div>
</div>
<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[71]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span>
</pre></div>
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[72]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">7</span><span class="p">,</span> <span class="mi">5</span><span class="p">))</span>
<span class="n">lat_array</span> <span class="o">=</span> <span class="p">[</span><span class="mf">0.0</span><span class="p">,</span> <span class="mf">30.0</span><span class="p">,</span> <span class="mf">45.0</span><span class="p">,</span> <span class="mf">60.0</span><span class="p">,</span> <span class="mf">75.0</span><span class="p">,</span> <span class="mf">90.0</span><span class="p">]</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">30.0</span> <span class="c1"># if slope is 0 no aspect impact could be seen</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">30.0</span>
<span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
<span class="n">plotname</span> <span class="o">=</span> <span class="s2">&quot;Camels data 06191500 latitude variation&quot;</span>
<span class="k">for</span> <span class="n">latitude_deg</span> <span class="ow">in</span> <span class="n">lat_array</span><span class="p">:</span>
    <span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
    <span class="n">plot_results</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="nb">str</span><span class="p">(</span><span class="n">latitude_deg</span><span class="p">),</span> <span class="n">colors</span><span class="p">[</span><span class="n">i</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">3</span><span class="p">])</span>
    <span class="n">i</span><span class="o">+=</span><span class="mi">1</span>

</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<img alt="../../_images/notebooks_radiation_radiation_camelsdata_13_0.png" src="../../_images/notebooks_radiation_radiation_camelsdata_13_0.png" />
</div>
</div>
</div>
<div class="section" id="The-rest-shows-very-minor-impact-on-the-translated-radiation,">
<h2>The rest shows very minor impact on the translated radiation,<a class="headerlink" href="#The-rest-shows-very-minor-impact-on-the-translated-radiation," title="Permalink to this headline">¶</a></h2>
<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[73]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="c1">### which is kind of expected, as the measured radiation is considered a main source of information.</span>
<span class="c1">### See the radition-sensitivity notebook for impact on theoretical values</span>
</pre></div>
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[74]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">7</span><span class="p">,</span> <span class="mi">5</span><span class="p">))</span>
<span class="n">albedo_array</span> <span class="o">=</span> <span class="p">[</span><span class="mf">0.01</span><span class="p">,</span> <span class="mf">0.05</span><span class="p">,</span> <span class="mf">0.1</span><span class="p">,</span> <span class="mf">0.25</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">,</span> <span class="mf">0.99</span><span class="p">]</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">30.0</span> <span class="c1"># if slope is 0 no aspect impact could be seen</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">30.0</span>
<span class="n">latitude_deg</span> <span class="o">=</span> <span class="n">station_info</span><span class="p">[</span><span class="s1">&#39;lat&#39;</span><span class="p">]</span>
<span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
<span class="n">plotname</span> <span class="o">=</span> <span class="s2">&quot;Camels data 06191500 albedo variation&quot;</span>
<span class="k">for</span> <span class="n">albedo</span> <span class="ow">in</span> <span class="n">albedo_array</span><span class="p">:</span>
    <span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
    <span class="n">plot_results</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="nb">str</span><span class="p">(</span><span class="n">albedo</span><span class="p">),</span> <span class="n">colors</span><span class="p">[</span><span class="n">i</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">3</span><span class="p">])</span>
    <span class="n">i</span><span class="o">+=</span><span class="mi">1</span>
</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<img alt="../../_images/notebooks_radiation_radiation_camelsdata_16_0.png" src="../../_images/notebooks_radiation_radiation_camelsdata_16_0.png" />
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[75]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">7</span><span class="p">,</span> <span class="mi">5</span><span class="p">))</span>
<span class="n">turbidity_array</span> <span class="o">=</span> <span class="p">[</span><span class="mf">0.01</span><span class="p">,</span> <span class="mf">0.05</span><span class="p">,</span> <span class="mf">0.1</span><span class="p">,</span> <span class="mf">0.25</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">,</span> <span class="mf">1.0</span><span class="p">]</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">0.0</span> <span class="c1"># if slope is 0 no aspect impact could be seen</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">albedo</span> <span class="o">=</span> <span class="mf">0.5</span>
<span class="n">latitude_deg</span> <span class="o">=</span> <span class="n">station_info</span><span class="p">[</span><span class="s1">&#39;lat&#39;</span><span class="p">]</span>
<span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
<span class="n">plotname</span> <span class="o">=</span> <span class="s2">&quot;Camels data 06191500 turbidity variation&quot;</span>
<span class="k">for</span> <span class="n">turbidity</span> <span class="ow">in</span> <span class="n">turbidity_array</span><span class="p">:</span>
    <span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
    <span class="n">plot_results</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="nb">str</span><span class="p">(</span><span class="n">turbidity</span><span class="p">),</span> <span class="n">colors</span><span class="p">[</span><span class="n">i</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">3</span><span class="p">])</span>
    <span class="n">i</span><span class="o">+=</span><span class="mi">1</span>
</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<img alt="../../_images/notebooks_radiation_radiation_camelsdata_17_0.png" src="../../_images/notebooks_radiation_radiation_camelsdata_17_0.png" />
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[76]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">7</span><span class="p">,</span> <span class="mi">5</span><span class="p">))</span>
<span class="n">turbidity_array</span> <span class="o">=</span> <span class="mf">0.5</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">0.0</span> <span class="c1"># if slope is 0 no aspect impact could be seen</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">albedo</span> <span class="o">=</span> <span class="mf">0.5</span>
<span class="n">temp_plus10</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">array</span><span class="p">([</span><span class="n">c</span><span class="o">+</span><span class="mi">10</span> <span class="k">for</span> <span class="n">c</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">])</span>
<span class="n">temp_minus10</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">array</span><span class="p">([</span><span class="n">c</span><span class="o">-</span><span class="mi">10</span> <span class="k">for</span> <span class="n">c</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">])</span>
<span class="n">latitude_deg</span> <span class="o">=</span> <span class="n">station_info</span><span class="p">[</span><span class="s1">&#39;lat&#39;</span><span class="p">]</span>
<span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
<span class="n">plotname</span> <span class="o">=</span> <span class="s2">&quot;Camels data 06191500 temperature variation&quot;</span>
<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">result1</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">temp_plus10</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">result2</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">temp_minus10</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>

<span class="n">plot_results</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="s1">&#39;original&#39;</span><span class="p">,</span> <span class="n">colors</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">3</span><span class="p">])</span>
<span class="n">plot_results</span><span class="p">(</span><span class="n">result1</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result1</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="s1">&#39;t+10&#39;</span><span class="p">,</span> <span class="n">colors</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">3</span><span class="p">])</span>
<span class="n">plot_results</span><span class="p">(</span><span class="n">result2</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result2</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span> <span class="n">fig1</span><span class="p">,</span> <span class="n">ax1</span><span class="p">,</span> <span class="n">ymax</span><span class="p">,</span> <span class="n">xname</span><span class="p">,</span> <span class="n">yname</span><span class="p">,</span> <span class="n">plotname</span><span class="p">,</span> <span class="s1">&#39;t-10&#39;</span><span class="p">,</span> <span class="n">colors</span><span class="p">[</span><span class="mi">4</span><span class="p">],</span><span class="n">labloc</span><span class="p">[</span><span class="mi">3</span><span class="p">])</span>


</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<img alt="../../_images/notebooks_radiation_radiation_camelsdata_18_0.png" src="../../_images/notebooks_radiation_radiation_camelsdata_18_0.png" />
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[77]:
</pre></div>
</div>
<div class="input_area highlight-ipython3 notranslate"><div class="highlight"><pre>
<span></span><span class="n">sns</span><span class="o">.</span><span class="n">set</span><span class="p">(</span><span class="n">font_scale</span><span class="o">=</span><span class="mf">1.8</span><span class="p">)</span>
<span class="n">fig</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">12</span><span class="p">,</span> <span class="mi">10</span><span class="p">))</span>
<span class="c1"># plt.title(&#39;Station 06191500 of Camels data, year 1980&#39;)</span>
<span class="kn">from</span> <span class="nn">matplotlib</span> <span class="kn">import</span> <span class="n">gridspec</span>
<span class="n">gs</span> <span class="o">=</span> <span class="n">gridspec</span><span class="o">.</span><span class="n">GridSpec</span><span class="p">(</span><span class="n">nrows</span><span class="o">=</span><span class="mi">2</span><span class="p">,</span>
                       <span class="n">ncols</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span>
                       <span class="n">figure</span><span class="o">=</span><span class="n">fig</span><span class="p">,</span>
                       <span class="n">width_ratios</span><span class="o">=</span><span class="p">[</span><span class="mi">1</span><span class="p">],</span>
                       <span class="n">height_ratios</span><span class="o">=</span><span class="p">[</span><span class="mi">1</span><span class="p">,</span><span class="mi">1</span><span class="p">],</span>
                       <span class="n">wspace</span><span class="o">=</span> <span class="mf">0.5</span><span class="p">,</span>
                       <span class="n">hspace</span><span class="o">=</span><span class="mf">0.3</span><span class="p">)</span>

<span class="n">ax1</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="n">gs</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="mi">0</span><span class="p">])</span>
<span class="n">ax1</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="s1">&#39;Rso, [W/m2]&#39;</span><span class="p">,</span><span class="n">fontsize</span><span class="o">=</span><span class="mi">22</span><span class="p">)</span>
<span class="n">ax1</span><span class="o">.</span><span class="n">set_title</span><span class="p">(</span><span class="s1">&#39;a: slope variation, aspect = 0.0&#39;</span><span class="p">)</span>
<span class="n">ax1</span><span class="o">.</span><span class="n">set_xlim</span><span class="p">([</span><span class="mi">1</span><span class="p">,</span> <span class="mi">365</span><span class="p">])</span>
<span class="n">ax2</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="n">gs</span><span class="p">[</span><span class="mi">1</span><span class="p">,</span><span class="mi">0</span><span class="p">])</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="s1">&#39;Rso, [W/m2]&#39;</span><span class="p">,</span><span class="n">fontsize</span><span class="o">=</span><span class="mi">22</span><span class="p">)</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">set_title</span><span class="p">(</span><span class="s1">&#39;b: aspect variation, slope = 30.0&#39;</span><span class="p">)</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">set_xlabel</span><span class="p">(</span><span class="s1">&#39;DOY&#39;</span><span class="p">,</span><span class="n">fontsize</span><span class="o">=</span><span class="mi">22</span><span class="p">)</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">set_xlim</span><span class="p">([</span><span class="mi">1</span><span class="p">,</span> <span class="mi">365</span><span class="p">])</span>
<span class="n">colors</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;--r&#39;</span><span class="p">,</span><span class="s1">&#39;r&#39;</span><span class="p">,</span> <span class="s1">&#39;--b&#39;</span><span class="p">,</span><span class="s1">&#39;b&#39;</span><span class="p">,</span><span class="s1">&#39;--g&#39;</span><span class="p">,</span><span class="s1">&#39;g&#39;</span><span class="p">,</span><span class="s1">&#39;--k&#39;</span><span class="p">,</span><span class="s1">&#39;k&#39;</span><span class="p">,</span><span class="s1">&#39;--m&#39;</span><span class="p">,</span><span class="s1">&#39;m&#39;</span><span class="p">)</span>
<span class="n">lines</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;-&#39;</span><span class="p">,</span><span class="s1">&#39;--&#39;</span><span class="p">)</span>
<span class="n">slope_array</span> <span class="o">=</span> <span class="p">[</span><span class="mf">0.0</span><span class="p">,</span> <span class="mf">30.0</span><span class="p">,</span> <span class="mf">45.0</span><span class="p">,</span> <span class="mf">60.0</span><span class="p">,</span> <span class="mf">75.0</span><span class="p">,</span> <span class="mf">90.0</span><span class="p">,</span> <span class="mi">110</span><span class="p">,</span> <span class="mi">180</span><span class="p">,</span> <span class="mi">190</span><span class="p">]</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">plotname</span> <span class="o">=</span> <span class="s2">&quot;Camels data 06191500 slope variation&quot;</span>
<span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
<span class="n">ymin</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">ymax</span> <span class="o">=</span> <span class="mf">800.0</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">ax1</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">color</span><span class="o">=</span><span class="n">colors</span><span class="p">[</span><span class="mi">1</span><span class="p">],</span><span class="n">lw</span><span class="o">=</span><span class="mf">2.5</span><span class="p">,</span><span class="n">label</span><span class="o">=</span><span class="nb">str</span><span class="p">(</span><span class="n">slope_deg</span><span class="p">))</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">30.0</span>
<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">ax1</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">color</span><span class="o">=</span><span class="n">colors</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">lw</span><span class="o">=</span><span class="mf">2.5</span><span class="p">,</span><span class="n">label</span><span class="o">=</span><span class="nb">str</span><span class="p">(</span><span class="n">slope_deg</span><span class="p">))</span>
<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">60.0</span>
<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">ax1</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">color</span><span class="o">=</span><span class="n">colors</span><span class="p">[</span><span class="mi">5</span><span class="p">],</span><span class="n">lw</span><span class="o">=</span><span class="mf">2.5</span><span class="p">,</span><span class="n">label</span><span class="o">=</span><span class="nb">str</span><span class="p">(</span><span class="n">slope_deg</span><span class="p">))</span>
<span class="n">ax1</span><span class="o">.</span><span class="n">legend</span><span class="p">()</span>
<span class="c1"># lines = []</span>
<span class="c1"># labels_slope=[str(c) for c in slope_array]</span>
<span class="c1"># for slope_deg in slope_array:</span>
<span class="c1">#     result = runner.run_radiation_ta(ta,latitude_deg, slope_deg, aspect_deg, elevation, albedo, turbidity, data.temperature, data.relative_humidity, &#39;24-hour&#39;, data.radiation)</span>
<span class="c1">#     radplt = ax1.plot(result[0], result[2],label=str(slope_deg))</span>
<span class="c1">#     lines+=radplt</span>
<span class="c1">#     # fig.legend(loc=labloc, bbox_to_anchor=(1,0.5))</span>
<span class="c1">#</span>
<span class="c1">#     i+=1 #</span>
<span class="c1"># labels= [l.get_labels() for l in lines]</span>
<span class="c1"># handles, labels = ax1.get_legend_handles_labels()</span>
<span class="c1"># ax1.legend(handles, labels)</span>

<span class="n">slope_deg</span> <span class="o">=</span> <span class="mf">30.0</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">0.0</span>
<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="s1">&#39;y&#39;</span><span class="p">,</span><span class="n">lw</span><span class="o">=</span><span class="mf">2.5</span><span class="p">,</span><span class="n">label</span><span class="o">=</span><span class="s1">&#39;South&#39;</span><span class="p">)</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="o">-</span><span class="mf">90.0</span>
<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">colors</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">lw</span><span class="o">=</span><span class="mf">2.5</span><span class="p">,</span><span class="n">label</span><span class="o">=</span><span class="s1">&#39;East&#39;</span><span class="p">)</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">90.0</span>
<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">c</span><span class="o">=</span><span class="s1">&#39;r&#39;</span><span class="p">,</span><span class="n">lw</span><span class="o">=</span><span class="mf">2.5</span><span class="p">,</span><span class="n">ls</span><span class="o">=</span><span class="s1">&#39;:&#39;</span><span class="p">,</span><span class="n">label</span><span class="o">=</span><span class="s1">&#39;West&#39;</span><span class="p">)</span>
<span class="n">aspect_deg</span> <span class="o">=</span> <span class="mf">180.0</span>
<span class="n">result</span> <span class="o">=</span> <span class="n">runner</span><span class="o">.</span><span class="n">run_radiation_ta</span><span class="p">(</span><span class="n">ta</span><span class="p">,</span><span class="n">latitude_deg</span><span class="p">,</span> <span class="n">slope_deg</span><span class="p">,</span> <span class="n">aspect_deg</span><span class="p">,</span> <span class="n">elevation</span><span class="p">,</span> <span class="n">albedo</span><span class="p">,</span> <span class="n">turbidity</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">temperature</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">relative_humidity</span><span class="p">,</span> <span class="s1">&#39;24-hour&#39;</span><span class="p">,</span> <span class="n">data</span><span class="o">.</span><span class="n">radiation</span><span class="p">)</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span> <span class="n">result</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">colors</span><span class="p">[</span><span class="mi">5</span><span class="p">],</span><span class="n">lw</span><span class="o">=</span><span class="mf">2.5</span><span class="p">,</span><span class="n">label</span><span class="o">=</span><span class="s1">&#39;North&#39;</span><span class="p">)</span>
<span class="n">ax2</span><span class="o">.</span><span class="n">legend</span><span class="p">()</span>

<span class="c1"># aspect_array = [0.0, 30.0, 45.0, 60.0, 75.0, 90.0, 110, 180, 190]</span>
<span class="c1"># for aspect_deg in aspect_array:</span>
<span class="c1">#     result = runner.run_radiation_ta(ta,latitude_deg, slope_deg, aspect_deg, elevation, albedo, turbidity, data.temperature, data.relative_humidity, &#39;24-hour&#39;, data.radiation)</span>
<span class="c1">#     ax2.plot(result[0], result[2],label=str(aspect_deg))</span>
<span class="c1">#     # ax2.legend(loc=labloc, bbox_to_anchor=(1,0.5))</span>
<span class="c1">#     i+=1</span>
<span class="n">fig</span><span class="o">.</span><span class="n">savefig</span><span class="p">(</span><span class="s1">&#39;radiation_camels.jpg&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<img alt="../../_images/notebooks_radiation_radiation_camelsdata_19_0.png" src="../../_images/notebooks_radiation_radiation_camelsdata_19_0.png" />
</div>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="../../content/hydrology/api.html" class="btn btn-neutral float-right" title="Hydrology" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="radiation-sensitivity-analysis.html" class="btn btn-neutral float-left" title="Sensitivity analysis of radiation routine" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>